local wezterm = require 'wezterm'
local config = wezterm.config_builder()
local opacity = 0.85

config.font = wezterm.font('Monaco Nerd Font Mono', { weight = 'Medium' })
config.font_size = 12
config.freetype_load_target = 'Normal'
config.window_background_opacity = opacity
config.macos_window_background_blur = 20

if wezterm.gui.get_appearance():find "Dark" then
  config.color_scheme = 'Catppuccin Mocha'
  config.colors = {
    background = 'black'
  }
else
  config.color_scheme = 'Catppuccin Latte'
end

wezterm.on('update-status', function(window)
  local overrides = window:get_config_overrides() or {}

  if window:is_focused() then
    overrides.window_background_opacity = opacity
  else
    overrides.window_background_opacity = opacity / 1.25
  end

  

  window:set_config_overrides(overrides)
end)

return config
